Adding upstream version 0.5.6.
[debian/lxappearance.git] / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18 am__make_running_with_option = \
19 case $${target_option-} in \
20 ?) ;; \
21 *) echo "am__make_running_with_option: internal error: invalid" \
22 "target option '$${target_option-}' specified" >&2; \
23 exit 1;; \
24 esac; \
25 has_opt=no; \
26 sane_makeflags=$$MAKEFLAGS; \
27 if $(am__is_gnu_make); then \
28 sane_makeflags=$$MFLAGS; \
29 else \
30 case $$MAKEFLAGS in \
31 *\\[\ \ ]*) \
32 bs=\\; \
33 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
35 esac; \
36 fi; \
37 skip_next=no; \
38 strip_trailopt () \
39 { \
40 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41 }; \
42 for flg in $$sane_makeflags; do \
43 test $$skip_next = yes && { skip_next=no; continue; }; \
44 case $$flg in \
45 *=*|--*) continue;; \
46 -*I) strip_trailopt 'I'; skip_next=yes;; \
47 -*I?*) strip_trailopt 'I';; \
48 -*O) strip_trailopt 'O'; skip_next=yes;; \
49 -*O?*) strip_trailopt 'O';; \
50 -*l) strip_trailopt 'l'; skip_next=yes;; \
51 -*l?*) strip_trailopt 'l';; \
52 -[dEDm]) skip_next=yes;; \
53 -[JT]) skip_next=yes;; \
54 esac; \
55 case $$flg in \
56 *$$target_option*) has_opt=yes; break;; \
57 esac; \
58 done; \
59 test $$has_opt = yes
60 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62 pkgdatadir = $(datadir)/@PACKAGE@
63 pkgincludedir = $(includedir)/@PACKAGE@
64 pkglibdir = $(libdir)/@PACKAGE@
65 pkglibexecdir = $(libexecdir)/@PACKAGE@
66 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67 install_sh_DATA = $(install_sh) -c -m 644
68 install_sh_PROGRAM = $(install_sh) -c
69 install_sh_SCRIPT = $(install_sh) -c
70 INSTALL_HEADER = $(INSTALL_DATA)
71 transform = $(program_transform_name)
72 NORMAL_INSTALL = :
73 PRE_INSTALL = :
74 POST_INSTALL = :
75 NORMAL_UNINSTALL = :
76 PRE_UNINSTALL = :
77 POST_UNINSTALL = :
78 subdir = .
79 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
80 $(top_srcdir)/configure $(am__configure_deps) \
81 $(srcdir)/config.h.in AUTHORS COPYING ChangeLog NEWS README \
82 TODO compile install-sh missing
83 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
84 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
85 $(top_srcdir)/configure.ac
86 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
87 $(ACLOCAL_M4)
88 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
89 configure.lineno config.status.lineno
90 mkinstalldirs = $(install_sh) -d
91 CONFIG_HEADER = config.h
92 CONFIG_CLEAN_FILES =
93 CONFIG_CLEAN_VPATH_FILES =
94 AM_V_P = $(am__v_P_@AM_V@)
95 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
96 am__v_P_0 = false
97 am__v_P_1 = :
98 AM_V_GEN = $(am__v_GEN_@AM_V@)
99 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
100 am__v_GEN_0 = @echo " GEN " $@;
101 am__v_GEN_1 =
102 AM_V_at = $(am__v_at_@AM_V@)
103 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
104 am__v_at_0 = @
105 am__v_at_1 =
106 SOURCES =
107 DIST_SOURCES =
108 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
109 ctags-recursive dvi-recursive html-recursive info-recursive \
110 install-data-recursive install-dvi-recursive \
111 install-exec-recursive install-html-recursive \
112 install-info-recursive install-pdf-recursive \
113 install-ps-recursive install-recursive installcheck-recursive \
114 installdirs-recursive pdf-recursive ps-recursive \
115 tags-recursive uninstall-recursive
116 am__can_run_installinfo = \
117 case $$AM_UPDATE_INFO_DIR in \
118 n|no|NO) false;; \
119 *) (install-info --version) >/dev/null 2>&1;; \
120 esac
121 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
122 distclean-recursive maintainer-clean-recursive
123 am__recursive_targets = \
124 $(RECURSIVE_TARGETS) \
125 $(RECURSIVE_CLEAN_TARGETS) \
126 $(am__extra_recursive_targets)
127 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
128 cscope distdir dist dist-all distcheck
129 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
130 $(LISP)config.h.in
131 # Read a list of newline-separated strings from the standard input,
132 # and print each of them once, without duplicates. Input order is
133 # *not* preserved.
134 am__uniquify_input = $(AWK) '\
135 BEGIN { nonempty = 0; } \
136 { items[$$0] = 1; nonempty = 1; } \
137 END { if (nonempty) { for (i in items) print i; }; } \
138 '
139 # Make sure the list of sources is unique. This is necessary because,
140 # e.g., the same source file might be shared among _SOURCES variables
141 # for different programs/libraries.
142 am__define_uniq_tagged_files = \
143 list='$(am__tagged_files)'; \
144 unique=`for i in $$list; do \
145 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
146 done | $(am__uniquify_input)`
147 ETAGS = etags
148 CTAGS = ctags
149 CSCOPE = cscope
150 DIST_SUBDIRS = $(SUBDIRS)
151 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
152 distdir = $(PACKAGE)-$(VERSION)
153 top_distdir = $(distdir)
154 am__remove_distdir = \
155 if test -d "$(distdir)"; then \
156 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
157 && rm -rf "$(distdir)" \
158 || { sleep 5 && rm -rf "$(distdir)"; }; \
159 else :; fi
160 am__post_remove_distdir = $(am__remove_distdir)
161 am__relativize = \
162 dir0=`pwd`; \
163 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
164 sed_rest='s,^[^/]*/*,,'; \
165 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
166 sed_butlast='s,/*[^/]*$$,,'; \
167 while test -n "$$dir1"; do \
168 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
169 if test "$$first" != "."; then \
170 if test "$$first" = ".."; then \
171 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
172 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
173 else \
174 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
175 if test "$$first2" = "$$first"; then \
176 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
177 else \
178 dir2="../$$dir2"; \
179 fi; \
180 dir0="$$dir0"/"$$first"; \
181 fi; \
182 fi; \
183 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
184 done; \
185 reldir="$$dir2"
186 GZIP_ENV = --best
187 DIST_ARCHIVES = $(distdir).tar.xz
188 DIST_TARGETS = dist-xz
189 distuninstallcheck_listfiles = find . -type f -print
190 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
191 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
192 distcleancheck_listfiles = find . -type f -print
193 ACLOCAL = @ACLOCAL@
194 ADDITIONAL_FLAGS = @ADDITIONAL_FLAGS@
195 ALL_LINGUAS = @ALL_LINGUAS@
196 AMTAR = @AMTAR@
197 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
198 AUTOCONF = @AUTOCONF@
199 AUTOHEADER = @AUTOHEADER@
200 AUTOMAKE = @AUTOMAKE@
201 AWK = @AWK@
202 CATALOGS = @CATALOGS@
203 CATOBJEXT = @CATOBJEXT@
204 CC = @CC@
205 CCDEPMODE = @CCDEPMODE@
206 CFLAGS = @CFLAGS@
207 CPP = @CPP@
208 CPPFLAGS = @CPPFLAGS@
209 CYGPATH_W = @CYGPATH_W@
210 DATADIRNAME = @DATADIRNAME@
211 DBUS_CFLAGS = @DBUS_CFLAGS@
212 DBUS_LIBS = @DBUS_LIBS@
213 DEFS = @DEFS@
214 DEPDIR = @DEPDIR@
215 ECHO_C = @ECHO_C@
216 ECHO_N = @ECHO_N@
217 ECHO_T = @ECHO_T@
218 EGREP = @EGREP@
219 EXEEXT = @EXEEXT@
220 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
221 GMODULE_CFLAGS = @GMODULE_CFLAGS@
222 GMODULE_LIBS = @GMODULE_LIBS@
223 GMOFILES = @GMOFILES@
224 GMSGFMT = @GMSGFMT@
225 GREP = @GREP@
226 GTK_CFLAGS = @GTK_CFLAGS@
227 GTK_LIBS = @GTK_LIBS@
228 INSTALL = @INSTALL@
229 INSTALL_DATA = @INSTALL_DATA@
230 INSTALL_PROGRAM = @INSTALL_PROGRAM@
231 INSTALL_SCRIPT = @INSTALL_SCRIPT@
232 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
233 INSTOBJEXT = @INSTOBJEXT@
234 INTLLIBS = @INTLLIBS@
235 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
236 INTLTOOL_MERGE = @INTLTOOL_MERGE@
237 INTLTOOL_PERL = @INTLTOOL_PERL@
238 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
239 INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
240 INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
241 INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
242 INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
243 LDFLAGS = @LDFLAGS@
244 LIBOBJS = @LIBOBJS@
245 LIBS = @LIBS@
246 LTLIBOBJS = @LTLIBOBJS@
247 MAKEINFO = @MAKEINFO@
248 MKDIR_P = @MKDIR_P@
249 MKINSTALLDIRS = @MKINSTALLDIRS@
250 MSGFMT = @MSGFMT@
251 MSGFMT_OPTS = @MSGFMT_OPTS@
252 MSGMERGE = @MSGMERGE@
253 OBJEXT = @OBJEXT@
254 PACKAGE = @PACKAGE@
255 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
256 PACKAGE_NAME = @PACKAGE_NAME@
257 PACKAGE_STRING = @PACKAGE_STRING@
258 PACKAGE_TARNAME = @PACKAGE_TARNAME@
259 PACKAGE_URL = @PACKAGE_URL@
260 PACKAGE_VERSION = @PACKAGE_VERSION@
261 PATH_SEPARATOR = @PATH_SEPARATOR@
262 PKG_CONFIG = @PKG_CONFIG@
263 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
264 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
265 POFILES = @POFILES@
266 POSUB = @POSUB@
267 PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
268 PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
269 SET_MAKE = @SET_MAKE@
270 SHELL = @SHELL@
271 STRIP = @STRIP@
272 USE_NLS = @USE_NLS@
273 VERSION = @VERSION@
274 XGETTEXT = @XGETTEXT@
275 XLIB_CFLAGS = @XLIB_CFLAGS@
276 XLIB_LIBS = @XLIB_LIBS@
277 XMLCATALOG = @XMLCATALOG@
278 XML_CATALOG_FILE = @XML_CATALOG_FILE@
279 XSLTPROC = @XSLTPROC@
280 abs_builddir = @abs_builddir@
281 abs_srcdir = @abs_srcdir@
282 abs_top_builddir = @abs_top_builddir@
283 abs_top_srcdir = @abs_top_srcdir@
284 ac_ct_CC = @ac_ct_CC@
285 am__include = @am__include@
286 am__leading_dot = @am__leading_dot@
287 am__quote = @am__quote@
288 am__tar = @am__tar@
289 am__untar = @am__untar@
290 bindir = @bindir@
291 build_alias = @build_alias@
292 builddir = @builddir@
293 datadir = @datadir@
294 datarootdir = @datarootdir@
295 docdir = @docdir@
296 dvidir = @dvidir@
297 exec_prefix = @exec_prefix@
298 host_alias = @host_alias@
299 htmldir = @htmldir@
300 includedir = @includedir@
301 infodir = @infodir@
302 install_sh = @install_sh@
303 intltool__v_merge_options_ = @intltool__v_merge_options_@
304 intltool__v_merge_options_0 = @intltool__v_merge_options_0@
305 libdir = @libdir@
306 libexecdir = @libexecdir@
307 localedir = @localedir@
308 localstatedir = @localstatedir@
309 mandir = @mandir@
310 mkdir_p = @mkdir_p@
311 oldincludedir = @oldincludedir@
312 pdfdir = @pdfdir@
313 prefix = @prefix@
314 program_transform_name = @program_transform_name@
315 psdir = @psdir@
316 sbindir = @sbindir@
317 sharedstatedir = @sharedstatedir@
318 srcdir = @srcdir@
319 sysconfdir = @sysconfdir@
320 target_alias = @target_alias@
321 top_build_prefix = @top_build_prefix@
322 top_builddir = @top_builddir@
323 top_srcdir = @top_srcdir@
324 ACLOCAL_AMFLAGS = -I .
325 NULL =
326 SUBDIRS = \
327 data \
328 man \
329 po \
330 src
331
332 EXTRA_DIST = \
333 $(desktop_DATA) \
334 $(NULL)
335
336 all: config.h
337 $(MAKE) $(AM_MAKEFLAGS) all-recursive
338
339 .SUFFIXES:
340 am--refresh: Makefile
341 @:
342 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
343 @for dep in $?; do \
344 case '$(am__configure_deps)' in \
345 *$$dep*) \
346 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
347 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
348 && exit 0; \
349 exit 1;; \
350 esac; \
351 done; \
352 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
353 $(am__cd) $(top_srcdir) && \
354 $(AUTOMAKE) --foreign Makefile
355 .PRECIOUS: Makefile
356 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
357 @case '$?' in \
358 *config.status*) \
359 echo ' $(SHELL) ./config.status'; \
360 $(SHELL) ./config.status;; \
361 *) \
362 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
363 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
364 esac;
365
366 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
367 $(SHELL) ./config.status --recheck
368
369 $(top_srcdir)/configure: $(am__configure_deps)
370 $(am__cd) $(srcdir) && $(AUTOCONF)
371 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
372 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
373 $(am__aclocal_m4_deps):
374
375 config.h: stamp-h1
376 @test -f $@ || rm -f stamp-h1
377 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
378
379 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
380 @rm -f stamp-h1
381 cd $(top_builddir) && $(SHELL) ./config.status config.h
382 $(srcdir)/config.h.in: $(am__configure_deps)
383 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
384 rm -f stamp-h1
385 touch $@
386
387 distclean-hdr:
388 -rm -f config.h stamp-h1
389
390 # This directory's subdirectories are mostly independent; you can cd
391 # into them and run 'make' without going through this Makefile.
392 # To change the values of 'make' variables: instead of editing Makefiles,
393 # (1) if the variable is set in 'config.status', edit 'config.status'
394 # (which will cause the Makefiles to be regenerated when you run 'make');
395 # (2) otherwise, pass the desired values on the 'make' command line.
396 $(am__recursive_targets):
397 @fail=; \
398 if $(am__make_keepgoing); then \
399 failcom='fail=yes'; \
400 else \
401 failcom='exit 1'; \
402 fi; \
403 dot_seen=no; \
404 target=`echo $@ | sed s/-recursive//`; \
405 case "$@" in \
406 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
407 *) list='$(SUBDIRS)' ;; \
408 esac; \
409 for subdir in $$list; do \
410 echo "Making $$target in $$subdir"; \
411 if test "$$subdir" = "."; then \
412 dot_seen=yes; \
413 local_target="$$target-am"; \
414 else \
415 local_target="$$target"; \
416 fi; \
417 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
418 || eval $$failcom; \
419 done; \
420 if test "$$dot_seen" = "no"; then \
421 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
422 fi; test -z "$$fail"
423
424 ID: $(am__tagged_files)
425 $(am__define_uniq_tagged_files); mkid -fID $$unique
426 tags: tags-recursive
427 TAGS: tags
428
429 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
430 set x; \
431 here=`pwd`; \
432 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
433 include_option=--etags-include; \
434 empty_fix=.; \
435 else \
436 include_option=--include; \
437 empty_fix=; \
438 fi; \
439 list='$(SUBDIRS)'; for subdir in $$list; do \
440 if test "$$subdir" = .; then :; else \
441 test ! -f $$subdir/TAGS || \
442 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
443 fi; \
444 done; \
445 $(am__define_uniq_tagged_files); \
446 shift; \
447 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
448 test -n "$$unique" || unique=$$empty_fix; \
449 if test $$# -gt 0; then \
450 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
451 "$$@" $$unique; \
452 else \
453 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
454 $$unique; \
455 fi; \
456 fi
457 ctags: ctags-recursive
458
459 CTAGS: ctags
460 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
461 $(am__define_uniq_tagged_files); \
462 test -z "$(CTAGS_ARGS)$$unique" \
463 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
464 $$unique
465
466 GTAGS:
467 here=`$(am__cd) $(top_builddir) && pwd` \
468 && $(am__cd) $(top_srcdir) \
469 && gtags -i $(GTAGS_ARGS) "$$here"
470 cscope: cscope.files
471 test ! -s cscope.files \
472 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
473 clean-cscope:
474 -rm -f cscope.files
475 cscope.files: clean-cscope cscopelist
476 cscopelist: cscopelist-recursive
477
478 cscopelist-am: $(am__tagged_files)
479 list='$(am__tagged_files)'; \
480 case "$(srcdir)" in \
481 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
482 *) sdir=$(subdir)/$(srcdir) ;; \
483 esac; \
484 for i in $$list; do \
485 if test -f "$$i"; then \
486 echo "$(subdir)/$$i"; \
487 else \
488 echo "$$sdir/$$i"; \
489 fi; \
490 done >> $(top_builddir)/cscope.files
491
492 distclean-tags:
493 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
494 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
495
496 distdir: $(DISTFILES)
497 $(am__remove_distdir)
498 test -d "$(distdir)" || mkdir "$(distdir)"
499 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
500 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
501 list='$(DISTFILES)'; \
502 dist_files=`for file in $$list; do echo $$file; done | \
503 sed -e "s|^$$srcdirstrip/||;t" \
504 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
505 case $$dist_files in \
506 */*) $(MKDIR_P) `echo "$$dist_files" | \
507 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
508 sort -u` ;; \
509 esac; \
510 for file in $$dist_files; do \
511 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
512 if test -d $$d/$$file; then \
513 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
514 if test -d "$(distdir)/$$file"; then \
515 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
516 fi; \
517 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
518 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
519 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
520 fi; \
521 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
522 else \
523 test -f "$(distdir)/$$file" \
524 || cp -p $$d/$$file "$(distdir)/$$file" \
525 || exit 1; \
526 fi; \
527 done
528 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
529 if test "$$subdir" = .; then :; else \
530 $(am__make_dryrun) \
531 || test -d "$(distdir)/$$subdir" \
532 || $(MKDIR_P) "$(distdir)/$$subdir" \
533 || exit 1; \
534 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
535 $(am__relativize); \
536 new_distdir=$$reldir; \
537 dir1=$$subdir; dir2="$(top_distdir)"; \
538 $(am__relativize); \
539 new_top_distdir=$$reldir; \
540 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
541 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
542 ($(am__cd) $$subdir && \
543 $(MAKE) $(AM_MAKEFLAGS) \
544 top_distdir="$$new_top_distdir" \
545 distdir="$$new_distdir" \
546 am__remove_distdir=: \
547 am__skip_length_check=: \
548 am__skip_mode_fix=: \
549 distdir) \
550 || exit 1; \
551 fi; \
552 done
553 -test -n "$(am__skip_mode_fix)" \
554 || find "$(distdir)" -type d ! -perm -755 \
555 -exec chmod u+rwx,go+rx {} \; -o \
556 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
557 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
558 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
559 || chmod -R a+r "$(distdir)"
560 dist-gzip: distdir
561 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
562 $(am__post_remove_distdir)
563
564 dist-bzip2: distdir
565 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
566 $(am__post_remove_distdir)
567
568 dist-lzip: distdir
569 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
570 $(am__post_remove_distdir)
571 dist-xz: distdir
572 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
573 $(am__post_remove_distdir)
574
575 dist-tarZ: distdir
576 @echo WARNING: "Support for shar distribution archives is" \
577 "deprecated." >&2
578 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
579 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
580 $(am__post_remove_distdir)
581
582 dist-shar: distdir
583 @echo WARNING: "Support for distribution archives compressed with" \
584 "legacy program 'compress' is deprecated." >&2
585 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
586 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
587 $(am__post_remove_distdir)
588
589 dist-zip: distdir
590 -rm -f $(distdir).zip
591 zip -rq $(distdir).zip $(distdir)
592 $(am__post_remove_distdir)
593
594 dist dist-all:
595 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
596 $(am__post_remove_distdir)
597
598 # This target untars the dist file and tries a VPATH configuration. Then
599 # it guarantees that the distribution is self-contained by making another
600 # tarfile.
601 distcheck: dist
602 case '$(DIST_ARCHIVES)' in \
603 *.tar.gz*) \
604 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
605 *.tar.bz2*) \
606 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
607 *.tar.lz*) \
608 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
609 *.tar.xz*) \
610 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
611 *.tar.Z*) \
612 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
613 *.shar.gz*) \
614 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
615 *.zip*) \
616 unzip $(distdir).zip ;;\
617 esac
618 chmod -R a-w $(distdir)
619 chmod u+w $(distdir)
620 mkdir $(distdir)/_build $(distdir)/_inst
621 chmod a-w $(distdir)
622 test -d $(distdir)/_build || exit 0; \
623 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
624 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
625 && am__cwd=`pwd` \
626 && $(am__cd) $(distdir)/_build \
627 && ../configure \
628 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
629 $(DISTCHECK_CONFIGURE_FLAGS) \
630 --srcdir=.. --prefix="$$dc_install_base" \
631 && $(MAKE) $(AM_MAKEFLAGS) \
632 && $(MAKE) $(AM_MAKEFLAGS) dvi \
633 && $(MAKE) $(AM_MAKEFLAGS) check \
634 && $(MAKE) $(AM_MAKEFLAGS) install \
635 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
636 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
637 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
638 distuninstallcheck \
639 && chmod -R a-w "$$dc_install_base" \
640 && ({ \
641 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
642 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
643 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
644 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
645 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
646 } || { rm -rf "$$dc_destdir"; exit 1; }) \
647 && rm -rf "$$dc_destdir" \
648 && $(MAKE) $(AM_MAKEFLAGS) dist \
649 && rm -rf $(DIST_ARCHIVES) \
650 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
651 && cd "$$am__cwd" \
652 || exit 1
653 $(am__post_remove_distdir)
654 @(echo "$(distdir) archives ready for distribution: "; \
655 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
656 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
657 distuninstallcheck:
658 @test -n '$(distuninstallcheck_dir)' || { \
659 echo 'ERROR: trying to run $@ with an empty' \
660 '$$(distuninstallcheck_dir)' >&2; \
661 exit 1; \
662 }; \
663 $(am__cd) '$(distuninstallcheck_dir)' || { \
664 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
665 exit 1; \
666 }; \
667 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
668 || { echo "ERROR: files left after uninstall:" ; \
669 if test -n "$(DESTDIR)"; then \
670 echo " (check DESTDIR support)"; \
671 fi ; \
672 $(distuninstallcheck_listfiles) ; \
673 exit 1; } >&2
674 distcleancheck: distclean
675 @if test '$(srcdir)' = . ; then \
676 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
677 exit 1 ; \
678 fi
679 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
680 || { echo "ERROR: files left in build directory after distclean:" ; \
681 $(distcleancheck_listfiles) ; \
682 exit 1; } >&2
683 check-am: all-am
684 check: check-recursive
685 all-am: Makefile config.h
686 installdirs: installdirs-recursive
687 installdirs-am:
688 install: install-recursive
689 install-exec: install-exec-recursive
690 install-data: install-data-recursive
691 uninstall: uninstall-recursive
692
693 install-am: all-am
694 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
695
696 installcheck: installcheck-recursive
697 install-strip:
698 if test -z '$(STRIP)'; then \
699 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
700 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
701 install; \
702 else \
703 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
704 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
705 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
706 fi
707 mostlyclean-generic:
708
709 clean-generic:
710
711 distclean-generic:
712 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
713 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
714
715 maintainer-clean-generic:
716 @echo "This command is intended for maintainers to use"
717 @echo "it deletes files that may require special tools to rebuild."
718 clean: clean-recursive
719
720 clean-am: clean-generic mostlyclean-am
721
722 distclean: distclean-recursive
723 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
724 -rm -f Makefile
725 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
726
727 dvi: dvi-recursive
728
729 dvi-am:
730
731 html: html-recursive
732
733 html-am:
734
735 info: info-recursive
736
737 info-am:
738
739 install-data-am:
740
741 install-dvi: install-dvi-recursive
742
743 install-dvi-am:
744
745 install-exec-am:
746
747 install-html: install-html-recursive
748
749 install-html-am:
750
751 install-info: install-info-recursive
752
753 install-info-am:
754
755 install-man:
756
757 install-pdf: install-pdf-recursive
758
759 install-pdf-am:
760
761 install-ps: install-ps-recursive
762
763 install-ps-am:
764
765 installcheck-am:
766
767 maintainer-clean: maintainer-clean-recursive
768 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
769 -rm -rf $(top_srcdir)/autom4te.cache
770 -rm -f Makefile
771 maintainer-clean-am: distclean-am maintainer-clean-generic
772
773 mostlyclean: mostlyclean-recursive
774
775 mostlyclean-am: mostlyclean-generic
776
777 pdf: pdf-recursive
778
779 pdf-am:
780
781 ps: ps-recursive
782
783 ps-am:
784
785 uninstall-am:
786
787 .MAKE: $(am__recursive_targets) all install-am install-strip
788
789 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
790 am--refresh check check-am clean clean-cscope clean-generic \
791 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
792 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
793 distcheck distclean distclean-generic distclean-hdr \
794 distclean-tags distcleancheck distdir distuninstallcheck dvi \
795 dvi-am html html-am info info-am install install-am \
796 install-data install-data-am install-dvi install-dvi-am \
797 install-exec install-exec-am install-html install-html-am \
798 install-info install-info-am install-man install-pdf \
799 install-pdf-am install-ps install-ps-am install-strip \
800 installcheck installcheck-am installdirs installdirs-am \
801 maintainer-clean maintainer-clean-generic mostlyclean \
802 mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
803 uninstall-am
804
805
806 # Tell versions [3.59,3.63) of GNU make to not export all variables.
807 # Otherwise a system limit (for SysV at least) may be exceeded.
808 .NOEXPORT: